#!/bin/bash

counter=$(cat crash-counter)
crash_wait=20

while true
do
  java "-Dlog4j.configurationFile=log4j2.xml" -Xmx12G -jar forge-1.15.2-31.2.0.jar nogui 
  if [[ $? -ne 0 ]]; then
    echo "Server crashed, updating crash counter..."
    expr $counter + 1 > crash-counter
  else
    echo "Server exited normally."
  fi
  counter=`cat crash-counter`
  echo -e "\nServer will restart in $crash_wait seconds, please stand by...\n"
  sleep $crash_wait
  echo "Server is restarting now"
done
